Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Points

Get Points
GET /highscores/{highscoreId}/points
https://api.relesysapp.net/api/v1.1/highscores/{highscoreId}/points
Get a list of all points given for the highscore with ID highscoreId.
Default sort is by creationDateTime in ascending order.
isManuallyGiven indicates whether a point entry has been manually given or not.
Scopes: relesys.api, relesys.api:read, relesys.api.highscores, relesys.api.highscores:read
URL Path
highscoreId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
isManuallyGiven boolean Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"7a103ecb-1a66-4e87-ba90-ab46f399a87d","userId":"348ffe5b-4575-495b-8602-4ac4852c7128","creationDateTime":"2026-08-02T08:58:04.6676724+00:00","description":"Example description 1","isManuallyGiven":true,"value":10},{"id":"db638a5f-b3cd-4643-b57b-c9b843ed82d9","userId":"9d9f7467-6084-410a-8515-ef2c686585f2","creationDateTime":"2026-08-02T08:58:04.6676724+00:00","description":"Example description 2","isManuallyGiven":false,"value":25}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   description string      
   id string / guid      
   isManuallyGiven boolean      
   userId string / guid      
   value integer      
  nextUrl string      
  previousUrl string